/* Copyright (c) 1997, MpegTV LLC */
#ifndef _mode_api_h
#define _mode_api_h
#ifndef lint
static const char rcsid_mode_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/mode_api.h,v 1.4 1998/05/29 22:29:59 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/

/* picture modes (aka picture coding types) */
typedef enum {
	MODE_INTRA = 0,			/* I-picture */
	MODE_PREDICTIVE = 1,	/* P-picture */
	MODE_INTERPOLATIVE = 2,	/* B-picture */
	MODE_COUNT = 3			/* number of modes */
} MODE;

#endif /* _mode_api_h */
