/* CONFIG must be defined only ONCE */
#ifdef CONFIG
	/* dirty trick: the directive #error is refused by the old cc ! */
	"fatal error: CONFIG can only be defined ONCE"
#else
#	define CONFIG
#endif

#define SOLARIS

/*
 * Define WORDS_BIGENDIAN if a (int *), once casted to (char *),
 * becomes a pointer to the most significant byte of the int.
 * define WORDS_BIGENDIAN for Motorola, don't define it for Intel.
 */
/*#define WORDS_BIGENDIAN*/

/* Define LONG_INT if long and int have the same size */
#define LONG_INT

/* Define FAST_MUL if multiplication is fast (i.e. mul instruction) */
/*#define FAST_MUL*/

/* Define O_BINARY = 0 if binary file access is standard */
#define O_BINARY	0

/* Define T_TYPES_DEFINED if the unsigned types (off_t, size_t etc...) are defined */
#define T_TYPES_DEFINED

/* Define CREAT_MODE to the default creat() mode */
#define CREAT_MODE	0666

/* Define CLK_TCK = # of clock ticks per sec for times(), if not defined in <limits.h> */
/*#define CLK_TCK ???*/

/* Undef storage qualifiers (near, register, online) that must NOT be ignored */

/* Define NO_MMAP if mmap is not available */
/*#define NO_MMAP*/

/* Define TRUNCATE_EXACT if truncate and ftruncate set file size to
 * exactly specified size. Do not define if truncate and ftruncate
 * set file size to ***at most*** the specified size */
#define TRUNCATE_EXACT

/* Define NO_VALUES if file <values.h> is not defined */
/*#define NO_VALUES*/

/* Define NO_AIO if aiowrite() and aiowait() don't exist */
/*#define NO_AIO*/

/* Define HAVE_DRAND48 if you have drand48() rather than random() */
#define HAVE_DRAND48

/* Define NO_HOSTNAME if gethostname() does not exist */
#define NO_HOSTNAME

/* Define NO_GETHOSTID if gethostid() does not exist or is broken */
#define NO_GETHOSTID

/* Define SHIFT_RIGHT_EXTENDS_SIGN if -1 >> 1 == -1 */
#define SHIFT_RIGHT_EXTENDS_SIGN

/* Define MPEG_POSIX_SOURCE if operating system is compliant with POSIX.1 */
#define MPEG_POSIX_SOURCE

/* Define HAVE_UTIME_NULL if utime(file, NULL) sets file's timestamp to the present.  */
#define HAVE_UTIME_NULL

/* Define NEED_MEMORY_H if you have memory.h, and string.h doesn't declare the
   mem* functions.  */
#define NEED_MEMORY_H

/* Define HAVE_UNISTD_H if you have unistd.h.  */
#define HAVE_UNISTD_H

/* Define GETTIMEOFDAY_TAKES_TIMEZONE if gettimeofday() expect struct timezone *tzp as a second argument */
/*#define GETTIMEOFDAY_TAKES_TIMEZONE*/

/* Define PATH_MAX to the max pathname size only if _POSIX_PATH_MAX is not defined */
/*#define PATH_MAX 255*/

/* Define HAVE_SYS_TYPES_H if <sys/types.h> exists and defines u_int etc...  */
#define HAVE_SYS_TYPES_H

/* When accessing an int32, address should be multiple of INT32_ALIGNMENT ... */
#define INT32_ALIGNMENT	1

/* define USE_INT64 and INT64 for 64-bits architectures (i.e. with a native int64 type) */
/*#define USE_INT64*/
/*#	define INT64		long long*/

/* Define HAVE_USLEEP if usleep() is available  */
#ifndef SOLARIS_2_4
#	define HAVE_USLEEP  /* do not define for solaris 2.4 compatibility! */
#endif

/* Define NO_INLINE if your compiler doesn't understands inline.  */
/*#define NO_INLINE*/

/* Define SIGNAL_RESETS_HANDLER if receiving a signal resets the handler  */
#define SIGNAL_RESETS_HANDLER

/* Define OPEN_SOUND_DRIVER to include Open Sound System (OSS) audio driver support */
#define OPEN_SOUND_DRIVER

/* Define HAVE_STRINGS_H if <strings.h> exists and defines rindex() etc...  */
#define HAVE_STRINGS_H

/* Define NO_DLOPEN if dlopen() does not exist */
/*#define NO_DLOPEN*/

/* Define HAVE_SEARCH_H if <search.h> exists */
#define HAVE_SEARCH_H

/* Define NO_X to compile without any reference to X11 */
/* #define NO_X */

/* Define X_SH_MEM if X-server shared memory extension is available */
#define X_SH_MEM

/* eof */
